<?php
/*
*	+----------------------------------+
*	Nom du Filtre : Filets de Separation                                               
*	Version : 1.0                                               
*	Date : samedi 26 aout 2006
*	Auteur : Fredo Mkb (fredomkbfr@yahoo.fr)                                      
*	+-------------------------------------+
*	Fonctions de ce filtre :
*		Ce filtre permet d'introduire des filets fins de separation dans le corps du texte.
*		Le but est d'offrir un moyen simple pour structurer et visualiser les niveaux 
*		d'imbrication des differents textes a l'interieur d'un article ou breve.
*		Ce filtre se veut un complement un peu plus souple que le filet de separation
*		par defaut produit par Spip lors de l'insertion des 4 tirets "----".
*	+-------------------------------------+ 
*	Integration de ce filtre dans le squelette :
*		Dans une boucle article, par exemple, il faut placer ce filtre sur la balise "#TEXTE", 
*		comme suit : [(#TEXTE|filets_sep)]
*		Si vous avez d'autres filtres a utiliser, inserez de preference ce filtre en premier, 
*		par exemple : [(#TEXTE|filets_sep|reduire_image{400,0})]
*	+-------------------------------------+ 
*	Utilisation de ce filtre dans le texte des articles et breves :
*		Les balises s'inscrivent toujours en utilisant 4 tirets bas (qu'on obtient par "majuscule + tiret"),
*		separes, deux par deux, par une lettre correspondant au type de filet a inserer dans le texte.
*		Trois balises sont supportees, produisant des filets d'aspect different (plus ou moins longs) :
*			1. "__l__" : 2 tirets bas puis la lettre "L" minuscule (pour "long") puis 2 tirets bas,  
*				produit un filet de la longueur du bloc texte hote.
*			2. "__m__" : 2 tirets bas puis la lettre "M" minuscule (pour "moyen") puis 2 tirets bas,  
*				produit un filet de la longueur du bloc texte hote moins 60 pixels de marge gauche et droite.
*			3. "__c__" : 2 tirets bas puis la lettre "C" minuscule (pour "court") puis 2 tirets bas,  
*				produit un filet de la longueur du bloc texte hote moins 120 pixels de marge gauche et droite.
*		L'aspect de l'ensemble de ces filets est parametrable grace aux styles correspondants (voir ci-apres).
*	+-------------------------------------+ 
*	Parametrage de l'aspect des filets :
*		Ce filtre remplace les differentes balises citees par des paragraphes Html vides, 
*		mais ayant chacun un style specifique, par exemple "<p class="filet_sep_long"></p>".
*		Ces styles sont fournis avec ce filtre dans le fichier "filets_sep.css", 
*		mais vous deverez les inserer dans la feuille de style qui gere l'apparence de votre squelette 
*		ou les appeler a partir des fichiers Html "article.html" et "breve.html" de votre squelette.
*		Il y a donc 3 styles differents, correspondants aux 3 types de filets produits par le filtre, 
*		que vous pouvez modifier et adapter a vos besoins :
*			1. ".filet_sep_long {border-bottom: 1px dotted #888; padding: 0; margin: 0;}"
*			2. ".filet_sep_moyen {border-bottom: 1px dotted #888; padding: 0; margin: 0px 60px;}"
*			3. ".filet_sep_court {border-bottom: 1px dotted #888; padding: 0; margin: 0px 120px;}"
*	+-------------------------------------+ 
*	Pour toute remarque ou suggestion, reportez-vous au forum de l'article :
*	<http://fredomkb.free.fr/spip/spip.php?article10>
*	+-------------------------------------+ 
*/

function filets_sep($texte) {
// Fonction pour generer des filets de separation selon les balises presentes dans le texte fourni.
	
	$texte = str_replace('__l__','<p class="filet_sep_long"></p>',$texte);
	$texte = str_replace('__m__','<p class="filet_sep_moyen"></p>',$texte);
	$texte = str_replace('__c__','<p class="filet_sep_court"></p>',$texte);
	return $texte;
}
?>
